import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/communities/domain/models/space_model.dart';

class CommunityModel extends Equatable {
  final String uuid;
  final String name;
  final List<SpaceModel> spaces;

  const CommunityModel({
    required this.uuid,
    required this.name,
    required this.spaces,
  });

  factory CommunityModel.fromJson(Map<String, dynamic> json) {
    return CommunityModel(
      uuid: json['uuid'] as String,
      name: json['name'] as String,
      spaces: (json['spaces'] as List<dynamic>)
          .map((e) => SpaceModel.fromJson(e as Map<String, dynamic>))
          .toList(),
    );
  }

  @override
  List<Object?> get props => [uuid, name, spaces];
}
