import 'package:equatable/equatable.dart';

class SpaceModel extends Equatable {
  final String uuid;
  final String spaceName;
  final String icon;
  final List<SpaceModel> children;

  const SpaceModel({
    required this.uuid,
    required this.spaceName,
    required this.icon,
    required this.children,
  });

  factory SpaceModel.fromJson(Map<String, dynamic> json) {
    return SpaceModel(
      uuid: json['uuid'] as String,
      spaceName: json['spaceName'] as String,
      icon: json['icon'] as String,
      children: (json['children'] as List<dynamic>?)
              ?.map((e) => SpaceModel.fromJson(e as Map<String, dynamic>))
              .toList() ??
          [],
    );
  }

  @override
  List<Object?> get props => [uuid, spaceName, icon, children];
}
